@use "variables"

.footer-container
  background-color: variables.$black
  padding: 30px 15px
  @media screen and (max-width: variables.$footer-width)
    padding: 0

.footer
  width: 100%
  max-width: variables.$footer-width
  color: variables.$white
  margin: 0 auto
  box-sizing: border-box
  @media screen and (max-width: variables.$footer-width)
    padding: 0 15px

    .up-link
      padding-left: 0
      padding-right: 0

    .cooperation
      border-bottom: 1px solid variables.$dark-gray

    .colophon-links
      padding: 0

  .toggle-footer-links
    font-size: 21px
    text-decoration: none
    color: variables.$white
    margin-bottom: 15px
    @media screen and (max-width: variables.$footer-width)
      font-size: 14px
      display: block
      margin-bottom: 0
      padding-top: 15px
      color: variables.$blue
      cursor: pointer
      padding-bottom: 15px
      padding-left: 15px

  .toggle-footer-links--partners
    float: right
    @media screen and (max-width: variables.$footer-width)
      display: none

  ul
    margin-top: 15px
    margin-bottom: 15px
    display: inline-block
    @media screen and (max-width: variables.$footer-width)
      margin-top: 0
      margin-bottom: 0
      width: 100%

  a
    font-size: 14px
    color: variables.$white
    outline-width: 0
    text-decoration: none
    line-height: 1.3

  li
    margin-bottom: 15px
    line-height: 21px
    list-style-position: outside
    &:last-child
      margin-bottom: 0
    @media screen and (max-width: variables.$footer-width)
      width: 100%
      margin-bottom: 0

      a
        padding: 15px 15px 15px 30px
        display: block
        border-bottom: 1px solid variables.$dark-gray

  .blue
    color: variables.$blue

  .up
    margin-top: 15px
    float: right
    @media screen and (max-width: variables.$footer-width)
      margin-top: 0
      float: none
      display: block
      padding: 15px 15px 15px 30px
      width: 100%

  .logos
    position: absolute
    right: 0
    @media screen and (max-width: variables.$footer-width)
      display: none
    a
      display: block
      width: 90px

  .naturalis-logo
    position: absolute
    top: 15px
    width: 90px
    height: auto
    @media screen and (max-width: variables.$footer-width)
      display: none

  .eis-logo
    position: absolute
    top: 165px
    width: 73px
    border-radius: 100px
    height: auto

  .footer-link
    overflow: hidden

    li
      display: block
      padding-right: 15px
      box-sizing: border-box
      &:nth-child(3n+3)
        clear: both

  .sitemap-links
    ul
      padding-left: 7px

      li
        display: inline-block
        float: left
        margin-right: 15px
        &:last-child
          margin-right: 0

    &.desktop
      margin-top: -2px
      @media screen and (max-width: variables.$footer-width)
        display: none

    &.mobile
      display: none
      @media screen and (max-width: variables.$footer-width)
        padding: 0
        display: block

      ul
        padding-left: 0

  .colophon
    float: left
    font-size: 14px
    @media screen and (max-width: variables.$footer-width)
      float: none
      display: block
      width: 100%
      padding: 15px 15px 15px 30px
      border-bottom: 1px solid variables.$dark-gray

  .colophon-container
    margin-top: 15px
    @media screen and (max-width: variables.$footer-width)
      margin-top: 0

.footer-link-container
  position: relative
  display: -webkit-box
  display: -webkit-flex
  display: -ms-flexbox
  display: flex
  @media screen and (max-width: variables.$footer-width)
    -webkit-box-orient: vertical
    -webkit-box-direction: normal
    -webkit-flex-direction: column
    -ms-flex-direction: column
    flex-direction: column
    display: none
    padding-bottom: 30px

    li a
      padding-bottom: 10px
      padding-top: 5px
      border: 0
      font-size: 12px
      padding-left: 60px

.copyright
  padding-top: 15px
  padding-left: 15px
  display: block
  @media screen and (max-width: variables.$footer-width)
    padding-left: 30px
    margin-bottom: 10px
